org.apache.fop.util

## Class CloseBlockerOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - org.apache.commons.io.output.ProxyOutputStream
      - - org.apache.fop.util.CloseBlockerOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

      public class CloseBlockerOutputStream
      extends org.apache.commons.io.output.ProxyOutputStream

  This is a decorator to block calls to close() to the underlying stream.

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloseBlockerOutputStream(java.io.OutputStream out)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`

    - ### Methods inherited from class org.apache.commons.io.output.ProxyOutputStream

      `flush, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CloseBlockerOutputStream

          public CloseBlockerOutputStream(java.io.OutputStream out)

      Main constructor.
      Parameters:
        `out` - the underlying stream

  - ### Method Detail

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `org.apache.commons.io.output.ProxyOutputStream`
      Throws:
        `java.io.IOException`

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.